Bug 505445 - [Emulex 5.4 bug] Update lpfc to version 8.2.0.45 (bug fixes only)
[Emulex 5.4 bug] Update lpfc to version 8.2.0.45 (bug fixes only)
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
high Severity high
: rc
: 5.4
Assigned To: Rob Evers
Red Hat Kernel QE team
: OtherQA
Depends On:
Blocks: 461676
  Show dependency treegraph
 
Reported: 2009-06-11 18:22 EDT by Jamie Wellnitz
Modified: 2009-09-03 09:55 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:34:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update Emulex lpfc driver 8.2.0.45 (applies on top of 8.2.0.44) (28.00 KB, patch)
2009-06-11 18:22 EDT, Jamie Wellnitz
no flags Details | Diff
cat /proc/interrupts when the system panics. (5.64 KB, text/plain)
2009-06-22 15:39 EDT, Rob Evers
no flags Details

  None (edit)
Description Jamie Wellnitz 2009-06-11 18:22:37 EDT
Created attachment 347493 [details]
Patch to update Emulex lpfc driver 8.2.0.45 (applies on top of 8.2.0.44)

Patch to update Emulex lpfc driver 8.2.0.45 (applies on top of 8.2.0.44)

Update lpfc inbox driver for RHEL 5.4 to 8.2.0.44.

This patch contains the following changes:

* Changed version number to 8.2.0.45
* Rewrite lpfc_sli4_scmd_to_wqidx_distr() to handle counter rollover cleanly
* Fix switch name not used in the FCF record for FCoE HBAs
* Enabled SLI4 HBA UE error polling error-condition action code
* Fix vports unable to be created on port2 of an SLI4 HBA (CR 90670)
* Implemented persistent port disable functionality
* Fix crash when accessing ctlregs from sysfs for SLI4 HBAs
* Fix SLI4 firmware version not being saved or displayed correctly
* Fix WQE structure to handle 16 bit CQID
* Fixed SID for FDISC
* Fixed handling of LOGO from Fabric port
* Fixed uninitialized memory use
* Fixed a memory leak in lpfc_wq_create()
* Added code to free RPI bit map while unloading driver
Comment 1 Andrius Benokraitis 2009-06-11 23:45:26 EDT
Jamie - can you give us an idea of how many more patchsets Red Hat should expect from you all in the 5.4 time frame? Rob only has so many cycles and needs to plan/prioritize accordingly. Thanks!
Comment 2 laurie barry 2009-06-12 08:48:13 EDT
Andrius,

We don't want to be burdensome, but this latest Universal CNA requires us to make more changes than we've typically done on a update release in the past.

As I stated on our last call, we are in the throws of our testing and will likely be dropping you a patch set a week to every other week until you tell us you can't consume them anymore.  I've asked Rob/Tom exactly when the cut off date is for non-critical issues and never got a response.  What is that date?

Laurie
Comment 3 Rob Evers 2009-06-12 15:39:40 EDT
Jamie,

Is this upstream?

* Implemented persistent port disable functionality

Rob
Comment 4 Jamie Wellnitz 2009-06-15 10:13:06 EDT
Rob,

We have not yet pushed this feature upstream.  I'll get you a planned date for that later today.

Thanks, Jamie
Comment 5 RHEL Product and Program Management 2009-06-15 17:17:44 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jamie Wellnitz 2009-06-16 08:04:45 EDT
Rob,

We pushed a set of patches upstream (8.3.3) about 6 days ago, so our next push of upstream changes will probably be for the 2.6.32 merge window in a few weeks.

Many lpfc HBAs support a persistent port disable feature in the firmware - but not all.  This driver change is to provide consistent behavior across all HBAs. There's no user-visible interface change associated with this - it's controlled via a special memory region on the HBA that is read/written using existing interfaces.

Let me know if there's an issue with this plan.

Thanks,
Jamie
Comment 7 Rob Evers 2009-06-16 15:10:22 EDT
Jamie,

In function lpfc_sli_read_serdes_param(), if a MBX_TIMEOUT does occur, won't this leak memory from the phba->mbox_mem_pool?

This looks like a low probability problem.

If you confirm this is a bug, please fix in the next patch.  I am going to try to submit this patch into the next build as-is.

Before you post another patch, please check with me regarding the status of the patch for this bugzilla.  If it is accepted, another bugzilla will need to be opened for the next patch, if not, the next patch should be attached here.

Please ensure that the contents of this patch and all others for rhel5.4 are submitted upstream.  Using the same line item descriptions can make tracking this a bit easier for me, if possible.

Rob
Comment 9 Jamie Wellnitz 2009-06-16 16:26:16 EDT
(In reply to comment #7)
> Jamie,
> 
> In function lpfc_sli_read_serdes_param(), if a MBX_TIMEOUT does occur, won't
> this leak memory from the phba->mbox_mem_pool?
> 
> This looks like a low probability problem.

This can look a little odd, but it should be okay.  If a mailbox command times out, it is ultimately completed by lpfc_sli_def_mbox_cmpl() which frees the associated memory.

Looking more closely at this, the MBX_TIMEOUT check really shouldn't be there because lpfc_sli_issue_mbox() never returns MBX_TIMEOUT.

> 
> If you confirm this is a bug, please fix in the next patch.  I am going to try
> to submit this patch into the next build as-is.

Yes - the MBX_TIMEOUT check isn't needed but I don't think there's a bug - the if will always be true and mempool_free() will be called.

> 
> Before you post another patch, please check with me regarding the status of the
> patch for this bugzilla.  If it is accepted, another bugzilla will need to be
> opened for the next patch, if not, the next patch should be attached here.

Thanks, I'll check this patch's status with you before the next one.

> 
> Please ensure that the contents of this patch and all others for rhel5.4 are
> submitted upstream.  Using the same line item descriptions can make tracking
> this a bit easier for me, if possible.

We will make sure all of these changes are posted upstream.

> 
> Rob  

Thanks, Jamie
Comment 10 Don Zickus 2009-06-18 10:52:16 EDT
in kernel-2.6.18-154.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 12 Rob Evers 2009-06-22 15:39:10 EDT
Created attachment 348986 [details]
cat /proc/interrupts when the system panics.
Comment 13 Rob Evers 2009-06-22 15:42:17 EDT
Comment on attachment 348986 [details]
cat /proc/interrupts when the system panics.

this attachment was intended for bz506968
Comment 14 Chris Ward 2009-07-03 14:45:42 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 15 Chris Ward 2009-07-10 15:14:19 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 1 Released! ~~

RHEL 5.4 Snapshot 1 has been released on partners.redhat.com. If you have already reported your test results, you can safely ignore this request. Otherwise, please notice that there should be a fix available now that addresses this particular request. Please test and report back your results here, at your earliest convenience. The RHEL 5.4 exception freeze is quickly approaching.

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other appropriate customer representative.
Comment 16 Caspar Zhang 2009-07-29 01:20:22 EDT
Verified that the patch is included in kernel-2.6.18-160.el5
Comment 17 Chris Ward 2009-08-03 11:47:06 EDT
~~ Attention Partners - RHEL 5.4 Snapshot 5 Released! ~~

RHEL 5.4 Snapshot 5 is the FINAL snapshot to be release before RC. It has been 
released on partners.redhat.com. If you have already reported your test results, 
you can safely ignore this request. Otherwise, please notice that there should be 
a fix available now that addresses this particular issue. Please test and report 
back your results here, at your earliest convenience.

If you encounter any issues while testing Beta, please describe the 
issues you have encountered and set the bug into NEED_INFO. If you 
encounter new issues, please clone this bug to open a new issue and 
request it be reviewed for inclusion in RHEL 5.4 or a later update, if it 
is not of urgent severity. If it is urgent, escalate the issue to your partner manager as soon as possible. There is /very/ little time left to get additional code into 5.4 before GA.

Partners, after you have verified, do not flip the bug status to VERIFIED. Instead, please set your Partner ID in the Verified field above if you have successfully verified the resolution of this issue. 

Further questions can be directed to your Red Hat Partner Manager or other 
appropriate customer representative.
Comment 20 errata-xmlrpc 2009-09-02 04:34:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.